#include <iostream>
#include "TFile.h"
#include "TH2D.h"
#include "TCanvas.h"
#include "TApplication.h"

using namespace std;

int main() {
  TApplication app("test",0,0);
  
  TH2D *myHisto;
  
  TCanvas *c1=new TCanvas("c1","c1",800,600);
  c1->SetFillColor(0);

  TFile myfile("input.root","READ");
  if(!myfile.IsOpen()) {
    cerr<<"Error, could not read input file"<<endl;
    return 1;
  }
  TH2D *hist_tmp;
  myfile.GetObject("mh2AccAZLambda_00",hist_tmp);
  if(!hist_tmp) return 1;
  myHisto=new TH2D(*((TH2D*)hist_tmp->Clone("mh2AccAZLambda_00_copy")));
  myfile.Close();
  myHisto->DrawCopy("colz"); app.Run();
  
  return 0;
}
